Subject: Re: [PATCH net-next 00/12][pull request] ice: switchdev bridge offload

From: Vlad Buslov <[email-masked]>
Date: Wed, 21 Jun 2023 22:25:39 +0300

On Tue 20 Jun 2023 at 11:12, Jakub Kicinski <[email-masked]> wrote:
> On Tue, 20 Jun 2023 10:44:11 -0700 Tony Nguyen wrote:
>> Linux bridge provides ability to learn MAC addresses and vlans
>> detected on bridge's ports. As a result of this, FDB (forward data base)
>> entries are created and they can be offloaded to the HW. By adding
>> VF's port representors to the bridge together with the uplink netdev,
>> we can learn VF's and link partner's MAC addresses. This is achieved
>> by slow/exception-path, where packets that do not match any filters
>> (FDB entries in this case) are send to the bridge ports.
>
> Hi Vlad, it would be great to have your review on this one!

Hi Jakub. Sorry for late response, I'm OoO till next week and seldom
check my work email. Will try to look at the patches tomorrow.